scale
Prev | Other Csound Utilities (CS, CSB64ENC, ENVEXT, EXTRACTOR, MAKECSD, MIXER, SCALE) | Next

## scale

scale — Scale the amplitude of a sound file.

## Description

Takes a sound file and scales it by applying a gain, either constant or variable. The scale can be specified as a multiplier, a maximum or a percentage of 0db.

## Syntax

    scale [OPTIONS ... ] infile

## Initialization

Flags:

- -A = Generate an AIFF outout file.

- -W = Generate an WAV outout file.

- -h = Generate an outout file with no header.

- -c = Generate 8-bit signed_char sound samples.

- -a = Generate alaw sound samples.

- -u = Generate ulaw sound samples.

- -s = Generate short integer sound samples.

- -l = Generate long (32 bit) integer sound samples.

- -f = Generate floating point samples.

- -F arg = Specifies the gain to be applied. If arg is a floating point number that gain is applied uniformly to the input. Alternatively it could be a file name which specifies a breakpoint file for varying the gain for different periods.

- -M fpnum = Scales the input so the maximum absolute displacement is the value given.

- -P fpnum = Scales the input so the maximum absolute displacement is the pencentage given of 0db.

- -R = Continually rewrite the header while writing soundfile (WAV/AIFF).

- -H integer = Show a "heart-beat" to indicate progress, in style 1, 2 or 3.

- -N = Alert call (usually ringing the bell) when finished.

- -o fname = output file name (default: test.wav)

## Examples

        scale -s -W -F 0.96 -o out.wav sound.wav

This creates a new sound file with a constant gain of 0.96. It is particularly useful if the input file is in floating point format.

## Credits

Author: John ffitch

1994

Prev | Up | Next
mixer | Home | Cscore